Subject: bug#67018: [PATCH] Add autoload cookie to vc-git-grep

From: Alyssa Ross <[email-masked]>
Date: Thu, 09 Nov 2023 16:05:32 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Alyssa Ross <[email-masked]>
>> Date: Thu,  9 Nov 2023 15:46:30 +0100
>> 
>> ---
>>  lisp/vc/vc-git.el | 1 +
>>  1 file changed, 1 insertion(+)
>> 
>> diff --git a/lisp/vc/vc-git.el b/lisp/vc/vc-git.el
>> index 707fc7cfc07..fe48d5fbd3d 100644
>> --- a/lisp/vc/vc-git.el
>> +++ b/lisp/vc/vc-git.el
>> @@ -1930,6 +1930,7 @@ vc-git-prepare-patch
>>  (defvar compilation-environment)
>>  
>>  ;; Derived from `lgrep'.
>> +;;;###autoload
>>  (defun vc-git-grep (regexp &optional files dir)
>>    "Run git grep, searching for REGEXP in FILES in directory DIR.
>>  The search is limited to file names matching shell pattern FILES.
>
> Thanks, but please explain the motivation.  Which package needs to
> autoload this function and why?

Often running M-x vc-git-grep is the first thing I do after starting
Emacs.  I think it would be good if it was autoloaded, so I didn't have
to M-x load-library vc-git first, or try to set up autoloading just for
myself in my Emacs configuration.